xcb_randr_create_mode(3)

NAME
xcb_randr_create_mode -

SYNOPSIS
#include <xcb/randr.h>

  Request function

xcb_randr_create_mode_cookie_t xcb_randr_create_mode(xcb_connection_t *conn, xcb_window_t window, xcb_randr_mode_info_t mode_info, uint32_t name_len, const char *name);

  Reply datastructure

typedef struct xcb_randr_create_mode_reply_t {
    uint8_t          response_type;
    uint8_t          pad0;
    uint16_t         sequence;
    uint32_t         length;
    xcb_randr_mode_t mode;
    uint8_t          pad1[20];
} xcb_randr_create_mode_reply_t;

  Reply function

xcb_randr_create_mode_reply_t *xcb_randr_create_mode_reply(xcb_connection_t *conn, xcb_randr_create_mode_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    TODO: NOT YET DOCUMENTED.

mode_info
    TODO: NOT YET DOCUMENTED.

name_len
    TODO: NOT YET DOCUMENTED.

name
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_RANDR_CREATE_MODE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

mode
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_randr_create_mode_cookie_t. Errors have to be handled when calling the reply function xcb_randr_create_mode_reply. If you want to handle errors in the event loop instead, use xcb_randr_create_mode_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from randr.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.